Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc	(revision 1200)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QFragmentation.cc	(revision 1228)
@@ -16,5 +16,5 @@
 // * for the full disclaimer and the limitation of liability.         *
 // *                                                                  *
-// * This  code  implementation is the result of  the  scientific 2and *
+// * This  code  implementation is the result of  the  scientific and *
 // * technical work of the GEANT4 collaboration.                      *
 // * By using,  copying,  modifying or  distributing the software (or *
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QFragmentation.cc,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QFragmentation.cc,v 1.6 2009/12/16 17:51:03 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
@@ -53,9 +53,9 @@
 
 // Definition of static parameters
-G4int    G4QFragmentation::nCutMax=7; 
-G4double G4QFragmentation::stringTension=1.*GeV/fermi;
-G4double G4QFragmentation::tubeDensity  =1./fermi;
-// Parameters of diffractional fragmentation
-G4double G4QFragmentation::widthOfPtSquare=-0.72*GeV*GeV; // pt -width2 forStringExcitation
+G4int    G4QFragmentation::nCutMax=7;
+G4double G4QFragmentation::stringTension=1.5*GeV/fermi;
+G4double G4QFragmentation::tubeDensity  =1.5/fermi;
+// Parameters of diffractional fragmentation (was .72*)
+G4double G4QFragmentation::widthOfPtSquare=-GeV*GeV;// pt -width2 forStringExcitation
 
 G4QFragmentation::G4QFragmentation(const G4QNucleus &aNucleus, const G4QHadron &aPrimary)
@@ -551,11 +551,11 @@
   // >>>>>>>> make soft collisions (ordering is vital)
   //
-  G4QInteractionVector::iterator i;
+  G4QInteractionVector::iterator it;
 #ifdef debug
   G4cout<<"G4QFragmentation::Construct: Creation ofSoftCollisionPartonPair STARTS"<<G4endl;
 #endif
-  for(i = theInteractions.begin(); i != theInteractions.end(); i++)   
-  {
-    G4QInteraction* anIniteraction = *i;
+  for(it = theInteractions.begin(); it != theInteractions.end(); ++it)   
+  {
+    G4QInteraction* anIniteraction = *it;
     G4QPartonPair*  aPair=0;
     G4int nSoftCollisions = anIniteraction->GetNumberOfSoftCollisions();
@@ -581,7 +581,7 @@
 #endif
       }  
-      delete *i;
-      i=theInteractions.erase(i);       // Soft interactions are converted & erased
-      i--;
+      delete *it;
+      it=theInteractions.erase(it);      // Soft interactions are converted & erased
+      it--;
     }
   }
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc	(revision 1200)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/fragmentation/src/G4QIonIonCollision.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4QIonIonCollision.cc,v 1.1 2009/11/16 18:16:04 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4QIonIonCollision.cc,v 1.2 2009/12/01 09:24:24 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
@@ -454,11 +454,11 @@
   // >>>>>>>> make soft collisions (ordering is vital)
   //
-  G4QInteractionVector::iterator i;
+  G4QInteractionVector::iterator it;
 #ifdef debug
   G4cout<<"G4QIonIonCollision::Constr: Creation ofSoftCollisionPartonPair STARTS"<<G4endl;
 #endif
-  for(i = theInteractions.begin(); i != theInteractions.end(); i++)   
-  {
-    G4QInteraction* anIniteraction = *i;
+  for(it = theInteractions.begin(); it != theInteractions.end(); ++it)   
+  {
+    G4QInteraction* anIniteraction = *it;
     G4QPartonPair*  aPair=0;
     G4int nSoftCollisions = anIniteraction->GetNumberOfSoftCollisions();
@@ -484,7 +484,7 @@
 #endif
       }  
-      delete *i;
-      i=theInteractions.erase(i);                   // SoftInteractions're converted&erased
-      i--;
+      delete *it;
+      it=theInteractions.erase(it);                 // SoftInteractions're converted&erased
+      it--;
     }
   }
